Public Member Functions | Data Fields

# SignalSet Class Reference
[Programmable Signals.]

Set signal instruction. More...

`#include <programmable_signals.h>`

Inheritance diagram for SignalSet:

## Public Member Functions
| SignalSet (SignalProgram *prog, SignalState=SIGNAL_STATE_RED)
virtual void | Evaluate (SignalVM &vm)
virtual void | Remove ()
virtual void | SetNext (SignalInstruction *next_insn)
## Data Fields
SignalState | to_state
SignalInstruction * | next

## Detailed Description

Set signal instruction.

This sets the state of the signal and terminates execution.

Definition at line 364 of file programmable_signals.h.

The documentation for this class was generated from the following files:

- src/programmable_signals.h
- src/programmable_signals.cpp